Open Bug 1149287 Opened 5 years ago Updated 5 months ago

Thunderbird crash on "long" shutdown or hang during shutdown in shutdownhang | WaitForSingleObjectEx | WaitForSingleObject | _PR_MD_WAIT_CV | _PR_WaitCondVar | PR_WaitCondVar | PR_Wait | mozilla::ReentrantMonitor::Wait .. (password related)

Categories

(Thunderbird :: General, defect, critical)

x86
All
defect
Not set
critical

Tracking

(thunderbird38- affected, thunderbird39 affected, thunderbird40 affected, thunderbird_esr38+)

Tracking Status
thunderbird38 - affected
thunderbird39 --- affected
thunderbird40 --- affected
thunderbird_esr38 + ---

People

(Reporter: wsmwk, Unassigned)

References

(Depends on 3 open bugs, )

Details

(Keywords: crash)

Crash Data

Currently #1 crash for TB37beta, 38a2 and 39a1. Because it is on shutdown it likely will not cause major operating issues for users. Noteworthy :
1. it's on shutdown so it's not likely to cause dataloss or other operational issues
2. it may cause confusion and concern because users aren't accustomed to seeing this.

We crash on shutdown because of Bug 1038342 - Force Firefox crash if shutdown hangs.
This is being further discussed by FF developers in primarily Bug 1143958 - Improve the shutdownhang detector

We (Thunderbird) need to determine whether to disable or change the toolkit.asyncshutdown.crash_timeout value, or leave as is.

report bp-580291e8-e07f-4e79-bdbd-fba4b2150318.
=============================================================
0 	xul.dll	mozilla::`anonymous namespace'::RunWatchdog(void*)	toolkit/components/terminator/nsTerminator.cpp
1 	nss3.dll	_PR_NativeRunThread	nsprpub/pr/src/threads/combined/pruthr.c
2 	nss3.dll	pr_root	nsprpub/pr/src/md/windows/w95thred.c
3 	msvcr120.dll	_callthreadstartex	f:\dd\vctools\crt\crtw32\startup\threadex.c:376
4 	msvcr120.dll	msvcr120.dll@0x2c000
"We (Thunderbird) need to determine whether to disable or change the toolkit.asyncshutdown.crash_timeout value, or leave as is."

The default value is 60 seconds, which is already pretty long. I think that something is preventing shutdown, and the timeout is just doing its job.
"It was trying to restart after upgrading from 37.1 beta to 38.1 beta"
bp-9b75cba3-b5b2-4209-a60f-8b6862150404

" Thunderbird has lately been reporting can't run filters on closing. "
bp-93069d32-621d-4788-ac08-3330c2150407

" hung trying to get new Gmail messages "
bp-732a41b0-3734-4d3b-9929-875d22150408
http://crash-stats.mozilla.com/report/index/bp-12c0e00b-a0d4-470f-8738-9b06b2150417
Shutting down for a restart after an update. I'm pretty sure there was no hang for 60 seconds, although I could have been distracted. Seemed like it was exactly when I pushed the restart button.
still common enough to be a little more worried of bad user experience at release.
TB40.0a1 bp-2b6fb848-6d5d-418f-9d3c-5b9182150415
Matt's crash bp-580291e8-e07f-4e79-bdbd-fba4b2150318 and apparently didn't happen again.
We should keep watching this, but we are not going to block.
Depends on: 937371
Depends on: 634526
(In reply to Kent James (:rkent) from comment #6)
> We should keep watching this, but we are not going to block.

Agree.  We have a number of preexisting issues. I've set some as blocking this bug. Two more are include bug 1055518 and bug 881086 awaiting more information
Depends on: 1055518
Looking at the user comments on the crash reports, a majority describe problems receiving email (usually getting password prompts) as part of their crash. So the root cause of this is probably issues with receiving email. Perhaps they are leaving a password prompt open, perhaps we are not properly closing windows of password prompts.
(In reply to Kent James (:rkent) from comment #8)
> Looking at the user comments on the crash reports, a majority describe
> problems receiving email (usually getting password prompts) as part of their
> crash. So the root cause of this is probably issues with receiving email.
> Perhaps they are leaving a password prompt open, perhaps we are not properly
> closing windows of password prompts.

Passwords do seem to cause some of these crashes. Perhaps as much as half?
Some are gmail.  I haven't examined enough to get a breakdown.

There is also Bug 1176399 - Multiple requests for master password when GMail OAuth2 is enabled.
Depends on: 1136087, 1096114
Summary: crash on "long" or hang during Thunderbird shutdowns in shutdownhang | WaitForSingleObjectEx | WaitForSingleObject | _PR_MD_WAIT_CV | _PR_WaitCondVar | PR_WaitCondVar | PR_Wait | mozilla::ReentrantMonitor::Wait .. → Thunderbird crash on "long" shutdown or hang during shutdown in shutdownhang | WaitForSingleObjectEx | WaitForSingleObject | _PR_MD_WAIT_CV | _PR_WaitCondVar | PR_WaitCondVar | PR_Wait | mozilla::ReentrantMonitor::Wait ..
Windows 10 variation of this seems to be [@ shutdownhang | WaitForMultipleObjectsEx | MsgWaitForMultipleObjectsEx | SHProcessMessagesUntilEventsEx(HWND__*, void**, unsigned long, unsigned long, unsigned long, unsigned long)]

#33 crash for Thunderbird 38.1.0 and trending upward.

This bug was filed from the Socorro interface and is 
report bp-070d5dae-9f5e-49d5-99f0-fe82b2150806.
=============================================================
 0 	xul.dll	mozilla::`anonymous namespace'::RunWatchdog(void*)	toolkit/components/terminator/nsTerminator.cpp
1 	nss3.dll	_PR_NativeRunThread	nsprpub/pr/src/threads/combined/pruthr.c
2 	nss3.dll	pr_root	nsprpub/pr/src/md/windows/w95thred.c
3 	msvcr120.dll	_callthreadstartex	f:\dd\vctools\crt\crtw32\startup\threadex.c:376
4 	msvcr120.dll	msvcr120.dll@0x2c000
Crash Signature: [@ shutdownhang | WaitForSingleObjectEx | WaitForSingleObject | _PR_MD_WAIT_CV | _PR_WaitCondVar | PR_WaitCondVar | PR_Wait | mozilla::ReentrantMonitor::Wait(unsigned int) | nsEventQueue::GetEvent(bool, nsIRunnable**)] → [@ shutdownhang | WaitForSingleObjectEx | WaitForSingleObject | _PR_MD_WAIT_CV | _PR_WaitCondVar | PR_WaitCondVar | PR_Wait | mozilla::ReentrantMonitor::Wait(unsigned int) | nsEventQueue::GetEvent(bool, nsIRunnable**)] [@ shutdownhang | WaitForMultipleOb…
Either this problem or a similar one is still present in both Earlybird 42.0a2 (2015-09-09) and Thunderbird beta 40.0.  I see in only while working with newsgroups posts, possibly because I work with those posts much more than with email.

The sequence that often causes the problem for me:  Move all the messages in one or two local folders to one or two of four subfolders of a local folder (call it A).  Compact these local folders after they are emptied.  Use addon ImportExportTools to import posts from one or two Windows Mail or Windows Live Mail folders into one or two of the other two subfolders.  Run addon Remove Duplicate Messages on folder A, but do not approve deletion of more than 21,000 duplicates during this run.  Move the remaining messages mostly into two local folders, one for previously read messages of the newsgroup and one for previously unread messages of the newsgroup.  Compact any of the subfolders of A that previously contained messages.  Tell Earlybird or Thunderbird beta to shut down.  Its window closes.  Delete the Windows Mail or Windows Live Mail folder or folders messages were imported from.  There is often a crash before I close the window used for finding and deleting those directories.
Crash Signature: , nsIRunnable**)] [@ shutdownhang | WaitForMultipleObjectsEx | MsgWaitForMultipleObjectsEx | SHProcessMessagesUntilEventsEx(HWND__*, void**, unsigned long, unsigned long, unsigned long, unsigned long)] → , nsIRunnable**)] [@ shutdownhang | WaitForMultipleObjectsEx | MsgWaitForMultipleObjectsEx | SHProcessMessagesUntilEventsEx(HWND__*, void**, unsigned long, unsigned long, unsigned long, unsigned long)] [@ shutdownhang | WaitForSingleObjectEx | WaitForSi…
I believe the Mac and linux equivalents are
shutdownhang | libsystem_kernel.dylib@0x16eb2 Mac, #12 crash for 38.5.1
shutdownhang | libpthread-2.19.so@0xc414  linux, #18 crash for 38.5.1

examples:
bp-c13b776e-5cb3-4c64-81b9-ca56a2160122 Mac Locks up asking for password for an account
bp-2c374124-8a4b-4cad-991d-eda8c2160120 linux
Crash Signature: MsgWaitForMultipleObjectsEx | SHProcessMessagesUntilEventsEx] → MsgWaitForMultipleObjectsEx | SHProcessMessagesUntilEventsEx] [@ shutdownhang | libsystem_kernel.dylib@0x16eb2] [@ shutdownhang | libpthread-2.19.so@0xc414]
Just had an incident of this crash in support.  The user implicates Enigmail.  However what became obvious early was Thunderbird was hung.  Then he tried shutdown.  Then he got the crash. 

If that is anything to go by.  This may not be a shut down hang resulting in a crash,  just the result of user action while the application is hung.

SUMO topic https://support.mozilla.org/en-US/questions/1111826#answer-849061
Depends on: 1257058
(In reply to Joe Sabash [:JoeS1] from comment #3)
> bp-12c0e00b-a0d4-470f-8738-9b06b2150417
> Shutting down for a restart after an update. I'm pretty sure there was no
> hang for 60 seconds, although I could have been distracted. Seemed like it
> was exactly when I pushed the restart button.

The actual wait should be 63 seconds, per the code.  
Have you see this since?
(FWIW your uptime was 2212 seconds)
Flags: needinfo?(jsabash)
(In reply to Robert Miles from comment #11)
> Either this problem or a similar one is still present in both Earlybird
> 42.0a2 (2015-09-09) and Thunderbird beta 40.0.  I see in only while working
> with newsgroups posts, possibly because I work with those posts much more
> than with email.
> 
> The sequence that often causes the problem for me:  ...

Have you found a shorter sequence that will result in crash?
Flags: needinfo?(robertmiles)
(In reply to Petr Vones from comment #12)
> When closing TB bp-cb81b355-9f94-4deb-90e1-845612150620

Petr, have you crashed since? And if so, please describe the process and circumstances.
Flags: needinfo?(petr.v)
I have only seen this crash once, and that was when using a single core, memory constrained laptop. Could easily have been a lot of memory swapping happening at the time.
Flags: needinfo?(jsabash)
(In reply to Wayne Mery (:wsmwk, use Needinfo for questions) from comment #16)
> (In reply to Robert Miles from comment #11)
> > Either this problem or a similar one is still present in both Earlybird
> > 42.0a2 (2015-09-09) and Thunderbird beta 40.0.  I see in only while working
> > with newsgroups posts, possibly because I work with those posts much more
> > than with email.
> > 
> > The sequence that often causes the problem for me:  ...
> 
> Have you found a shorter sequence that will result in crash?

No shorter sequence found.  Either less common or fixed under 45.0 beta, though, when working with email instead of newsgroups posts.
Flags: needinfo?(robertmiles)
(In reply to Robert Miles from comment #19)
> (In reply to Wayne Mery (:wsmwk, use Needinfo for questions) from comment
> #16)
> > (In reply to Robert Miles from comment #11)
> > > Either this problem or a similar one is still present in both Earlybird
> > > 42.0a2 (2015-09-09) and Thunderbird beta 40.0.  I see in only while working
> > > with newsgroups posts, possibly because I work with those posts much more
> > > than with email.
> > > 
> > > The sequence that often causes the problem for me:  ...
> > 
> > Have you found a shorter sequence that will result in crash?
> 
> No shorter sequence found.  Either less common or fixed under 45.0 beta,
> though, when working with email instead of newsgroups posts.

Sorry, but on rereading comment 11 and your reply above, your statements don't jive for me. 

A. Comment 11 "I see in [it?] only while working with newsgroups posts", but then you go on to describe 7-8 steps that only involve email.
B. Comment 19 "less common or fixed ... when working with email instead of newsgroups posts." implies you also see the crash somehow with newsgroups.

Also, what does "Delete the Windows Mail or Windows Live Mail folder or folders messages were imported from." have to do with the steps?  If you take away that step there is no crash?
Flags: needinfo?(robertmiles)
(In reply to Wayne Mery (:wsmwk, use Needinfo for questions) from comment #20)
> (In reply to Robert Miles from comment #19)
> > (In reply to Wayne Mery (:wsmwk, use Needinfo for questions) from comment
> > #16)
> > > (In reply to Robert Miles from comment #11)
> > > > Either this problem or a similar one is still present in both Earlybird
> > > > 42.0a2 (2015-09-09) and Thunderbird beta 40.0.  I see in only while working
> > > > with newsgroups posts, possibly because I work with those posts much more
> > > > than with email.
> > > > 
> > > > The sequence that often causes the problem for me:  ...
> > > 
> > > Have you found a shorter sequence that will result in crash?
> > 
> > No shorter sequence found.  Either less common or fixed under 45.0 beta,
> > though, when working with email instead of newsgroups posts.
> 
> Sorry, but on rereading comment 11 and your reply above, your statements
> don't jive for me. 
> 
> A. Comment 11 "I see in [it?] only while working with newsgroups posts", but
> then you go on to describe 7-8 steps that only involve email.
> B. Comment 19 "less common or fixed ... when working with email instead of
> newsgroups posts." implies you also see the crash somehow with newsgroups.
> 
> Also, what does "Delete the Windows Mail or Windows Live Mail folder or
> folders messages were imported from." have to do with the steps?  If you
> take away that step there is no crash?

A. Looks like we disagree on whether to call messages email or newsgroup posts when newsgroup posts have been copied to local folders without reading them first.  I still call them newsgroup posts, and the 7-8 steps are for such messages.

B. I've been working mainly with email recently, and not with newsgroup posts enough to tell whether the problem is still present for newsgroup posts.

C. The delete step describes the time delay before the next step, and probably has nothing else to do with whether there is a crash or not.
Flags: needinfo?(robertmiles)
It is important that instructions are be clear enough for someone *else* can follow them to the letter, including someone who may misunderstand them in some way - so pecific words matter.  If you're in a newsgroup, better to say in the step that it's a newsgroup rather than say a folder. etc. And if a step is not necessary to reproduce the problem then it should be removed.
(In reply to Wayne Mery (:wsmwk, use Needinfo for questions) from comment #17)
> (In reply to Petr Vones from comment #12)
> > When closing TB bp-cb81b355-9f94-4deb-90e1-845612150620
> 
> Petr, have you crashed since? And if so, please describe the process and
> circumstances.

Yes, latest report https://crash-stats.mozilla.com/report/index/6cb2b08d-5473-4ff4-8d83-295d82160307

It seems to be related to a stuck Windows message pump or so. I can almost always reproduce it by following steps:

1. Thunderbird is running, no special action required (no newsgroups used at all)
2. Skype 6.21 is running on the same machine
3. Skype is closed by Quit menu command. It seems as Skype does some shell UI notifications because while it is closing (takes 15+ seconds on this 10 years old machine, slow, single core, XP SP3), the Windows shell (Explorer) is stuck.
4. Close Thunderbird within few seconds after the step 3 (when the Windows shell is stuck and Skype is closing)

Result: Thunderbird main window is closed but the thunderbird.exe process is still alive and the wait timeout error appears in 60 seconds. 

If there is delay at least one minute between the Step 3 and 4, no error occurs. Weird.
Flags: needinfo?(petr.v)
I'm also usually running another program when I get such a crash, but it's almost always BOINC.  I doubt if it's ever been Skype, which I rarely use.  I seldom close BOINC, though, and rarely close to the same time that I close Thunderbird.
(In reply to Petr Vones from comment #23) 
> 1. Thunderbird is running, no special action required (no newsgroups used at
> all)
> 2. Skype 6.21 is running on the same machine
> 3. Skype is closed by Quit menu command. It seems as Skype does some shell
> UI notifications because while it is closing (takes 15+ seconds on this 10
> years old machine, slow, single core, XP SP3), the Windows shell (Explorer)
> is stuck.
> 4. Close Thunderbird within few seconds after the step 3 (when the Windows
> shell is stuck and Skype is closing)

So you never crash unless skype as also been running?
Flags: needinfo?(petr.v)
(In reply to Robert Miles from comment #11)
> Either this problem or a similar one is still present in both Earlybird
> 42.0a2 (2015-09-09) and Thunderbird beta 40.0.  I see in only while working
> with newsgroups posts, possibly because I work with those posts much more
> than with email.

Rober,t I don't see any crashes for you since December 15. (But tons of Firefox crashes since then)
What did you change that Thunderbird is no longer crashing?
Flags: needinfo?(robertmiles)
The only changes I remember since December 15 were installing new versions of Earlybird and Thunderbird beta, and working mostly with email instead of newsgroups posts lately.
Flags: needinfo?(robertmiles)
I suspect  shutdownhang | libsystem_kernel.dylib@0x16db6 is a Mac manifestation of the password set of crashes. For example bp-4dd37edb-3130-4b95-a6b9-674712160417, "It won't recognize my passwords or allow me to get my mail"

0 	XUL	mozilla::(anonymous namespace)::RunWatchdog(void*)	toolkit/components/terminator/nsTerminator.cpp
1 	libnss3.dylib	_pt_root	nsprpub/pr/src/pthreads/ptthread.c
Ø 2 	libsystem_pthread.dylib	libsystem_pthread.dylib@0x399c	
Ø 3 	libsystem_pthread.dylib	libsystem_pthread.dylib@0x3919	
Ø 4 	libsystem_pthread.dylib	libsystem_pthread.dylib@0x1350	
5 	libnss3.dylib	libnss3.dylib@0x2034bf	

and bp-1663b074-609f-4a57-b3de-f800e2160420 "It won't take password and does the spinning beachball of death and won't send or save emails."
Crash Signature: MsgWaitForMultipleObjectsEx | SHProcessMessagesUntilEventsEx] [@ shutdownhang | libsystem_kernel.dylib@0x16eb2] [@ shutdownhang | libpthread-2.19.so@0xc414] → MsgWaitForMultipleObjectsEx | SHProcessMessagesUntilEventsEx] [@ shutdownhang | libsystem_kernel.dylib@0x16eb2] [@ shutdownhang | libpthread-2.19.so@0xc414] [@ shutdownhang | libsystem_kernel.dylib@0x16db6 ]
Depends on: 711808
Peter, can you produce with Thunderbird started in safe mode?  
 https://support.mozilla.org/kb/safe-mode
With a newer version of skype?


(In reply to Petr Vones from comment #23)
> 1. Thunderbird is running, no special action required (no newsgroups used at
> all)
> 2. Skype 6.21 is running on the same machine
> 3. Skype is closed by Quit menu command. It seems as Skype does some shell
> UI notifications because while it is closing (takes 15+ seconds on this 10
> years old machine, slow, single core, XP SP3), the Windows shell (Explorer)
> is stuck.
> 4. Close Thunderbird within few seconds after the step 3 (when the Windows
> shell is stuck and Skype is closing)

I cannot reproduce with skype 7 on Windows 7. But I have a very fast system.
FWIW, a few crash comments that mention skype

bp-7b98b186-8ffd-4e5e-b26a-a13d22160211	shutdownhang | WaitForSingleObjectEx | WaitForSingleObject | _PR_MD_WAIT_CV | _PR_WaitCondVar | PR_WaitCondVar | PR_Wait | mozilla::ReentrantMonitor::Wait | nsEventQueue::GetEvent   
bp-003d9690-cc57-4721-b8a4-549f42160315	shutdownhang | WaitForSingleObjectEx | WaitForSingleObject | _PR_MD_WAIT_CV | _PR_WaitCondVar | PR_WaitCondVar | PR_Wait | mozilla::ReentrantMonitor::Wait | nsEventQueue::GetEvent   
bp-7f43938a-84d5-4707-be47-919cc2160219	shutdownhang | ConsoleCopyStringToBuffer
bp-948c8c68-52cd-4758-9acd-d98122160114	shutdownhang | NtClose  
bp-7808a50c-0792-4eca-b7fa-758fa2160425	shutdownhang | gfxContext::AzureState::AzureState
I can not reproduce it with TB 45 on the same machine but it did not happen all the time with older TB versions anyway. It needs some time to reproduce. Yes, the closing Skype was always part of the issue. I can not try Skype 7 because it does not work well on that old XP machine. 

It has never occured on Windows 7 machine.
(In reply to Petr Vones from comment #31)
> I can not try Skype 7 because it does not work well on that old XP machine. 
> 
> It has never occured on Windows 7 machine.

Skype "click to call" has been known to cause crashes. And I've done further reseach about XP. Newer versions indeed have problems on XP.  And sometimes win7. But postings strongly indicate that newer versions can run on XP with minor changes. 

resolve instability of skype 7.5 - disable emoticon
https://community.skype.com/t5/Windows-desktop-client/Skype-7-6-causes-instability-on-Windows-Xp-SP3/m-p/4072333/highlight/true#M360028
https://community.skype.com/t5/Windows-desktop-client/Cannot-install-skype-7-7-on-the-Windows-xp/m-p/4067603/highlight/true#M359183
https://community.skype.com/t5/Windows-desktop-client/Skype-7-6-causes-instability-on-Windows-Xp-SP3/m-p/4072388/highlight/true#M360035

turn off updates
https://community.skype.com/t5/Windows-desktop-client/Skype-7-6-causes-instability-on-Windows-Xp-SP3/td-p/4031638/page/3

get version 7.5 (not newer than 7.5)
https://community.skype.com/t5/Windows-desktop-client/Skype-7-8-causes-instability-on-Windows-XP-SP3/m-p/4082312/highlight/true#M362436
Another occurence with TB 45.1.0 https://crash-stats.mozilla.com/report/index/7ed9a819-fab9-4178-98e5-d92642160515

But it is related to a different (?) bug 1257058
(In reply to Petr Vones from comment #33)
> Another occurence with TB 45.1.0
> https://crash-stats.mozilla.com/report/index/7ed9a819-fab9-4178-98e5-
> d92642160515
> 
> But it is related to a different (?) bug 1257058

depends. Can you reproduce using the steps in bug 1257058 and come up with the crash signature of this bug report?
(petrv seems to be gone)

This signature has morphed I suspect to item 1 below, or a combination of signatures.  This is because of Socorro Bug 1296966 - skip nsThread::Shutdown to next item in stack - starting on 2016-08-31 where we have a variety of new signatures. I haven't sorted it all out yet.

In order of ranking for 45.2.0

1. #1 shutdownhang | _PR_MD_WAIT_CV | _PR_WaitCondVar | mozilla::CondVar::Wait | nsEventQueue::GetEvent | nsThread::ProcessNextEvent | NS_ProcessNextEvent | nsThread::Shutdown | nsThreadManager::Shutdown

2. #4 shutdownhang | _PR_MD_WAIT_CV | _PR_WaitCondVar | mozilla::CondVar::Wait | nsEventQueue::GetEvent | nsThread::ProcessNextEvent | NS_ProcessNextEvent | nsThread::Shutdown | nsSocketTransportService::Shutdown

3. #5 shutdownhang | _PR_MD_WAIT_CV | _PR_WaitCondVar | mozilla::CondVar::Wait | nsEventQueue::GetEvent | nsThread::ProcessNextEvent | NS_ProcessNextEvent | nsSyncStreamListener::WaitForData | nsSyncStreamListener::Available

4. #8 shutdownhang | _PR_MD_WAIT_CV | _PR_WaitCondVar | mozilla::CondVar::Wait | nsEventQueue::GetEvent | nsThread::ProcessNextEvent | NS_ProcessNextEvent | nsXULWindow::ShowModal

5. #12 shutdownhang | _PR_MD_WAIT_CV | _PR_WaitCondVar | mozilla::CondVar::Wait | nsEventQueue::GetEvent | nsThread::ProcessNextEvent | NS_ProcessNextEvent | nsThread::Shutdown | nsImapThreadShutdownEvent::Run


bug 1257058 signature continues unchanged it seems - shutdownhang | _PR_MD_WAIT_CV | _PR_WaitCondVar | mozilla::CondVar::Wait | nsEventQueue::GetEvent
I can no longer reproduce it after upgrade from Skype 6.21 to 7.30 (TB 45.4.0).
Flags: needinfo?(petr.v)
(In reply to Petr Vones from comment #40)
> I can no longer reproduce it after upgrade from Skype 6.21 to 7.30 (TB 45.4.0).

ah yes, skype. Is the 7.30 running on XP?
Interesting that other crashes mention skype.  (Not a huge number)  But, they also tend to have a variety of crash signatures
bp-1e8be54f-71f9-475b-a654-af5172161116
bp-babb2ddd-0563-4e64-924d-cab402160925
bp-c9988dcf-9c17-43ce-9781-a29652160801
bp-75420b1b-ed6e-457e-8211-978722160628
Fyi, we noticed Skype v7.29 crashes recently on win7 x64 which were due to incompatibilty with older version of mshtmll.dll.
Upgrading from IE8 to IE11 (not available on XP) helped to sort that issue.
(In reply to Richard Leger from comment #43)
> Fyi, we noticed Skype v7.29 crashes recently on win7 x64 which were due to
> incompatibilty with older version of mshtmll.dll.
> Upgrading from IE8 to IE11 (not available on XP) helped to sort that issue.

Richard, were you using any of the addons as well?
 https://www.lifewire.com/integrating-skype-into-mozilla-thunderbird-3426909

Is skyped used on all your machines?
Crash Signature: [@ shutdownhang | WaitForSingleObjectEx | WaitForSingleObject | _PR_MD_WAIT_CV | _PR_WaitCondVar | PR_WaitCondVar | PR_Wait | mozilla::ReentrantMonitor::Wait(unsigned int) | nsEventQueue::GetEvent(bool, nsIRunnable**)] [@ shutdownhang | WaitForMultipleOb… → [@ shutdownhang | WaitForMultipleObjectsEx | MsgWaitForMultipleObjectsEx | SHProcessMessagesUntilEventsEx] [@ shutdownhang | libsystem_kernel.dylib@0x16eb2] [@ shutdownhang | libpthread-2.19.so@0xc414] [@ shutdownhang | libsystem_kernel.dylib@0x16db6 ]
Flags: needinfo?(richard.leger)
(In reply to Wayne Mery (:wsmwk, NI for questions) from comment #44)
> (In reply to Richard Leger from comment #43)
> > Fyi, we noticed Skype v7.29 crashes recently on win7 x64 which were due to
> > incompatibilty with older version of mshtmll.dll.
> > Upgrading from IE8 to IE11 (not available on XP) helped to sort that issue.
> 
> Richard, were you using any of the addons as well?
>  https://www.lifewire.com/integrating-skype-into-mozilla-thunderbird-3426909

Not that I aware...

> Is skyped used on all your machines?

Not all machines I deal with or report bug for, the one affected by the bug in my comment above had Skype installed.
Flags: needinfo?(richard.leger)
FYI, a recent similar crash report at shutdown observed on 28/02/2017...

Thunderbird 45.7.1 Crash Report [@ shutdownhang | _PR_MD_WAIT_CV | _PR_WaitCondVar | mozilla::CondVar::Wait | nsEventQueue::GetEvent | nsThread::ProcessNextEvent | NS_ProcessNextEvent | nsSyncStreamListener::WaitForData | nsSyncStreamListener::Available ]
bp-ee3b5314-2ba6-433e-b358-9d5c32170228
For the record the machine where bug was found does not have Skype installed... just in case you may wonder :-)
(In reply to Richard Leger from comment #47)
> For the record the machine where bug was found does not have Skype
> installed... just in case you may wonder :-)

I meant crash report not bug... sorry guys :-)
All crashes are Mac 10.11 - only shutdownhang | libsystem_kernel.dylib@0x16db6 has any volume
Summary: Thunderbird crash on "long" shutdown or hang during shutdown in shutdownhang | WaitForSingleObjectEx | WaitForSingleObject | _PR_MD_WAIT_CV | _PR_WaitCondVar | PR_WaitCondVar | PR_Wait | mozilla::ReentrantMonitor::Wait .. → Thunderbird crash on "long" shutdown or hang during shutdown in shutdownhang | WaitForSingleObjectEx | WaitForSingleObject | _PR_MD_WAIT_CV | _PR_WaitCondVar | PR_WaitCondVar | PR_Wait | mozilla::ReentrantMonitor::Wait .. (password related)
Richard, do you still see this particular crash signature?  If not, what are your most recent crashes?
Flags: needinfo?(richard.leger)
Would that answer what you need?

bp-20bbc0d9-962f-45d7-8e27-3050b0181214 	14/12/2018, 19:44 	
This bug happens as I was trying to close (X) TB while having TB Not Responding/UI Freeze issues with my calendar loading as described and troubleshoot in Bug 1502923: Thunderbird processing / "Not Responding" with 63.0beta + Lightning 6.5 and 64.0b1 + Lightning 6.6 after upgrade

Here are others recent ones...

bp-e70a05bc-dd42-44b5-8793-b09b50181101 	01/11/2018, 20:16 	
bp-b74a18b9-5855-426f-baa3-7c2310181029 	29/10/2018, 23:05 	
bp-cbad0921-3c20-402b-b785-ab6980181029 	29/10/2018, 22:52 	
bp-c6aacfc3-a473-404f-857f-a8ca80181029 	29/10/2018, 22:34 	
bp-50ba7416-b762-4220-b5ab-cb61b0181029 	29/10/2018, 22:34 	
bp-752e4e8d-e81b-411e-9513-3619b0181003 	03/10/2018, 10:19 	
bp-8017d419-a7d9-47ba-ba11-f9a3a0181002 	02/10/2018, 20:53 	
bp-9810974d-16ba-479a-aec8-4fdbe0180910 	10/09/2018, 17:50
Flags: needinfo?(richard.leger)
Depends on: 1524247

That's about 6 signatures. But none from this year, so not so interesting unless you have neewer crahes

Several have the signature of Bug 1490585 - Startup crash in nsSSLStatus::~nsSSLStatus after downgrading profile

You need to log in before you can comment on or make changes to this bug.